LINUX.ORG.RU

обновление ПО gentoo


0

0

Всем привет! Обновил в gentoo дерево портежей emerge -sync. Потом удалил старые пакеты. В мойм случае emerge --unmerge xorg-server. Обновил кэш портежей emerge --regen. Залажу в /usr/portage. Смотрю есть новая версия xorg-server (1.7.6) тоесть присутсвует ебилд на данную версию. Пытаюсь поставить xorg-server emerge xorg-server, а мне сново ставится старая версия (1.5.3). Попробывал сделать так(как написано в хендбуке): emerge --update --deep world. Сново ставится старая версия. Как поставить новую версию софта? Может так и задумано, типа несовместимо с другими програми?


1.7.6 - это ~arch. Стабильная сейчас 1.6.5-r1, а 1.5.3 вообще hardmasked.

И зачем было удалять старую версию? Просто сделайте emerge -uND world.

xetf ★★ ()
Ответ на: комментарий от lnkgyv

arch - стабильная ветка.
~arch - нестабильная.
О масках - man emerge, секция MASKED PACKAGES.

xetf ★★ ()

У тебя просто пакеты собираются из стабильной ветки. Читай вику по ссылке выше. ACCEPT_KEYWORDS=«~arch» emerge xorg-server. Но это быдло-способ. Или полностью открывай анстейбл (если десктоп и на свой страх и риск), или размаскируй отдельные пакеты.

Insomnium ★★★★ ()

Делаешь так..

создаешь каталог portage

mkdir /etc/portage

если такого еще нету, далее создаешь в нем файл package.keywords, в нем

x11-base/xorg-server ~x86

это если у тебя x86 архитектура (если ты не знаешь что это, тос вероятностью 99) далее

emerge xorg-server

а вообще читать маны, с этим еще столкнешься.

DevNull ()
Ответ на: комментарий от xetf

Сегодня eix после eix-sync в калькуляте мне сообщил, что 1.7.6 уже считается стабильным (только для x86). Обзор пакетов на сайте генты подтвердил это. А вообще, если пакетик не замаскирован, делается так:

emerge =x11-base/xorg-server-1.7.6
nevar ★★ ()
Ответ на: комментарий от nevar

>eix после eix-sync в калькуляте мне сообщил, что 1.7.6 уже считается стабильным

Таки да, вчера ещё был в нестабильной ветке.

xetf ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.